/**
 * This file was auto-generated by openapi-typescript.
 * Do not make direct changes to the file.
 */

export interface paths {
  '/stop-api': {
    /** Turns off the public api. */
    'post': operations['operator.stopApi']
  }
  '/start-api': {
    /** Turns on the public api. */
    'post': operations['operator.startApi']
  }
  '/shutdown': {
    /** Shuts down the node. */
    'post': operations['operator.shutdown']
  }
  '/set-worker': {
    /** Updates the operator worker id. */
    'post': operations['operator.setWorker']
  }
  '/set-buckets': {
    /** Updates buckets supported by the node. */
    'post': operations['operator.setBuckets']
  }
}

export interface components {
  schemas: {
    'SetWorkerOperation': {
      'workerId': number
    }
    'SetBucketsOperation': {
      /** Set of bucket ids to be distributed by the node. If not provided - all buckets assigned to currently configured worker will be distributed. */
      'buckets'?: string[]
    }
  }
}

export interface operations {
  /** Turns off the public api. */
  'operator.stopApi': {
    responses: {
      /** OK */
      200: unknown
      /** Not authorized */
      401: unknown
      /** Already stopped */
      409: unknown
      /** Unexpected server error */
      500: unknown
    }
  }
  /** Turns on the public api. */
  'operator.startApi': {
    responses: {
      /** OK */
      200: unknown
      /** Not authorized */
      401: unknown
      /** Already started */
      409: unknown
      /** Unexpected server error */
      500: unknown
    }
  }
  /** Shuts down the node. */
  'operator.shutdown': {
    responses: {
      /** OK */
      200: unknown
      /** Not authorized */
      401: unknown
      /** Already shutting down */
      409: unknown
      /** Unexpected server error */
      500: unknown
    }
  }
  /** Updates the operator worker id. */
  'operator.setWorker': {
    responses: {
      /** OK */
      200: unknown
      /** Not authorized */
      401: unknown
      /** Unexpected server error */
      500: unknown
    }
    requestBody: {
      content: {
        'application/json': components['schemas']['SetWorkerOperation']
      }
    }
  }
  /** Updates buckets supported by the node. */
  'operator.setBuckets': {
    responses: {
      /** OK */
      200: unknown
      /** Not authorized */
      401: unknown
      /** Unexpected server error */
      500: unknown
    }
    requestBody: {
      content: {
        'application/json': components['schemas']['SetBucketsOperation']
      }
    }
  }
}

export interface external {}
